Subject: Ticket Assigned - Order not received
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 12 Aug 2022 06:29:50 +0000

Hi Hessah Alsufayyan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order not received  Dear Customer Support Team

Still I didn&#x27;t received my order I&#x27;m waiting today for my order, actually supplier call me for only for 5 second and not talk and suddenly cut the phone, I actually give him 2 address for delivery, 1 office address and 1 my home address via WhatsApp I share my current location also but they didn&#x27;t reply me,
Can you told me still my order is where and which center point in Riyadh so I will go and collect my self. Please let me know. I need my order soon.
Order no. 6159859483

Thanks and regards

Nawazali Shaikh
+966532409152
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4720611